# PathFindStatusRequest | xrpl
Documentation for xrpl

# Interface PathFindStatusRequest

Get the information of the currently-open pathfinding request.

#### Hierarchy

- BasePathFindRequest
  - PathFindStatusRequest

- Defined in packages/xrpl/src/models/methods/pathFind.ts:41

#####
Index

### Properties

api_version?
command
id?
subcommand

## Properties

### `Optional` api_version

api_version?: number

The API version to use. If omitted, use version 1.

Inherited from BasePathFindRequest.api_version

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:16

### command

command: "path_find"

Inherited from BasePathFindRequest.command

- Defined in packages/xrpl/src/models/methods/pathFind.ts:6

### `Optional` id

id?: string | number

A unique value to identify this request. The response to this request uses the same id field. This way, even if responses arrive out of order, you know which request prompted which response.

Inherited from BasePathFindRequest.id

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:12

### subcommand

subcommand: "status"

Overrides BasePathFindRequest.subcommand

- Defined in packages/xrpl/src/models/methods/pathFind.ts:42

Generated using TypeDoc